package co.pixelbeard.theanfieldwrap.forgotPassword.fpEmail;

import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface ForgotPasswordEmailContract {

    interface View extends BaseView<Presenter> {

        void showInvalidEmailError();

        void enableButton();

        void disableButton();

    }

    interface Presenter extends BasePresenter {
        boolean validateFields(String email, boolean shouldShowError);

    }
}